TAU_OMPCHECK(1)

NAME
tau_ompcheck - Completes uncompleted do/for/parallel omp directives

SYNOPSIS

tau_ompcheck {pdbfile} {sourcefile} [-o outfile] [-v] [-d]

DESCRIPTION

Finds uncompleted do/for omp directives and inserts closing directives for each one uncompleted. do/for directives are expected immediately before a do/for loop. Closing directives are then placed immediately following the same do/for loop.

OPTIONS

pdbfile A pdbfile generated from the source file you wish to check. This pdbfile must contain comments from which the omp directives are gathered. See pdbcomment for information on how to obtain comment from a pdbfile.

sourcefile A fortran, C or C++ source file to analyzed.

-o write the output to the specified outfile.

-vverbose output, will say which directive where added.

-d debuging information, we suggest you pipe this unrestrained output to a file.

EXAMPLES

To check file: source.f90 do: (you will need pdtoolkit/<arch>/bin and tau/utils/ in your path).

%>f95parse source.f90
%>pdbcomment source.pdb > source.comment.pdb
%>tau_omp source.comment.pdb source.f90 -o source.chk.f90

SEE ALSO

f95parse pdbcomment